PAN Card OCR — Extract Name, Number & DOB
Upload a PAN card image and extract the PAN number, holder name, father's name, and date of birth automatically.
curl -X POST "https://production.deepvue.tech/v1/documents/extraction/ind_pancard" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY" \
-d '{
"document1": "example_string",
"name": "John Doe"
}'
import requests
import json
url = "https://production.deepvue.tech/v1/documents/extraction/ind_pancard"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
data = {
"document1": "example_string",
"name": "John Doe"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/documents/extraction/ind_pancard", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
},
body: JSON.stringify({
"document1": "example_string",
"name": "John Doe"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"document1": "example_string",
"name": "John Doe"
}`)
req, err := http.NewRequest("POST", "https://production.deepvue.tech/v1/documents/extraction/ind_pancard", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/documents/extraction/ind_pancard')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
request.body = '{
"document1": "example_string",
"name": "John Doe"
}'
response = http.request(request)
puts response.body
{
"code": 200,
"transaction_id": "string",
"message": "Document processed successfuly",
"data": {
"age": null,
"date_of_birth": "string",
"date_of_issue": "string",
"fathers_name": "string",
"id_number": "string",
"is_scanned": true,
"minor": true,
"name_on_card": "string",
"pan_type": "string"
}
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}
{
"detail": "Internal Server Error"
}
/v1/documents/extraction/ind_pancard
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
The media type of the request body
The main document being submitted for extraction of respective information.
The name of the document being submitted for extraction of respective information.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
The main document being submitted for extraction of respective information.
The name of the document being submitted for extraction of respective information.
Responses
Overview
The PAN Card OCR API lets you extract relevant fields like pan_number, name, and dob from the image of a PAN Card document in the form of key-value pairs.
The API requires submission of a base64-encoded image of a PAN Card document. The system processes this image using OCR technology to identify and extract key information fields presented as structured key-value pairs, including PAN number, name on card, date of birth, father's name, date of issue, age, PAN type classification, and minor status indicator.
Last updated 4 weeks ago
Built with Documentation.AI